Project

General

Profile

Feature #13528

Feature #12160: Upgrade all systems to Stretch

Upgrade buse to Stretch

Added by intrigeri about 2 years ago. Updated almost 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
Infrastructure
Target version:
Start date:
07/28/2017
Due date:
% Done:

100%

Feature Branch:
Type of work:
Sysadmin
Blueprint:
Starter:
Affected tool:

Description

Stretch has Ruby 2.3, that's supported in Redmine 3.3 and newer, so #11808 must be done first.

The only other potential problem I can foresee is the MySQL → MariaDB migration, but this went fine on ecours.


Related issues

Blocks Tails - Feature #13284: Core work: Sysadmin (Adapt our infrastructure) Confirmed 06/30/2017

History

#1 Updated by intrigeri about 2 years ago

  • Blocks Feature #13284: Core work: Sysadmin (Adapt our infrastructure) added

#2 Updated by intrigeri about 2 years ago

  • Blocked by Bug #11808: Upgrade Redmine on labs.r.n added

#3 Updated by intrigeri about 2 years ago

  • Description updated (diff)

#4 Updated by intrigeri almost 2 years ago

  • Blocked by Bug #14587: Remove Gitolite from buse added

#5 Updated by intrigeri almost 2 years ago

  • Blocked by deleted (Bug #14587: Remove Gitolite from buse)

#6 Updated by intrigeri almost 2 years ago

  • Status changed from Confirmed to In Progress
  • % Done changed from 0 to 50

Upgraded, let's wait a couple days to see what's broken.

#7 Updated by intrigeri almost 2 years ago

  • QA Check set to Ready for QA

#8 Updated by intrigeri almost 2 years ago

  • Blocked by deleted (Bug #11808: Upgrade Redmine on labs.r.n)

#9 Updated by intrigeri almost 2 years ago

  • QA Check changed from Ready for QA to Dev Needed

SQL DB backups are broken since the upgrade, I'm on it.

#10 Updated by intrigeri almost 2 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 50 to 100
  • QA Check deleted (Dev Needed)

SQL backups fixed, everything seems OK.

Also available in: Atom PDF